Binary files linux-omap-2.6/.git/index and built/linux-omap-2.6.29-Naomasa/.git/index differ
diff -ubrN linux-omap-2.6/arch/arm/mach-omap2/board-3430sdp.c built/linux-omap-2.6.29-Naomasa/arch/arm/mach-omap2/board-3430sdp.c
--- linux-omap-2.6/arch/arm/mach-omap2/board-3430sdp.c	2009-05-07 01:53:32.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/arch/arm/mach-omap2/board-3430sdp.c	2009-05-08 02:08:14.000000000 +0900
@@ -525,8 +525,13 @@
 	.enabled_uarts	= ((1 << 0) | (1 << 1) | (1 << 2)),
 };
 
+static struct omap_lcd_config sdp3430_lcd_config __initdata = {
+       .ctrl_name      = "internal",
+};
+
 static struct omap_board_config_kernel sdp3430_config[] __initdata = {
 	{ OMAP_TAG_UART,	&sdp3430_uart_config },
+        { OMAP_TAG_LCD,         &sdp3430_lcd_config },
 };
 
 static int sdp3430_batt_table[] = {
@@ -813,11 +818,12 @@
 		.valid_ops_mask		= REGULATOR_CHANGE_MODE
 					| REGULATOR_CHANGE_STATUS,
 	},
-	.num_consumer_supplies	= 1,
-	.consumer_supplies	= &sdp3430_vdac_supply,
+//	.num_consumer_supplies	= 1,
+//	.consumer_supplies	= &sdp3430_vdac_supply,
 };
 
 /* VPLL2 for digital video outputs */
+/*
 static struct regulator_init_data sdp3430_vpll2 = {
 	.constraints = {
 		.name			= "VDVI",
@@ -831,7 +837,7 @@
 	.num_consumer_supplies	= 1,
 	.consumer_supplies	= &sdp3430_vdvi_supply,
 };
-
+*/
 static struct twl4030_platform_data sdp3430_twldata = {
 	.irq_base	= TWL4030_IRQ_BASE,
 	.irq_end	= TWL4030_IRQ_END,
@@ -852,7 +858,7 @@
 	.vmmc2		= &sdp3430_vmmc2,
 	.vsim		= &sdp3430_vsim,
 	.vdac		= &sdp3430_vdac,
-	.vpll2		= &sdp3430_vpll2,
+//	.vpll2		= &sdp3430_vpll2,
 };
 
 static struct i2c_board_info __initdata sdp3430_i2c_boardinfo[] = {
diff -ubrN linux-omap-2.6/arch/arm/mach-omap2/board-omap3beagle.c built/linux-omap-2.6.29-Naomasa/arch/arm/mach-omap2/board-omap3beagle.c
--- linux-omap-2.6/arch/arm/mach-omap2/board-omap3beagle.c	2009-05-09 02:37:56.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/arch/arm/mach-omap2/board-omap3beagle.c	2009-05-07 22:56:22.000000000 +0900
@@ -154,17 +154,7 @@
 	 * power switch and overcurrent detect
 	 */
 
-#if 0 /* TODO: This needs to be modified to not rely on u-boot */
-	gpio_request(gpio + 1, "EHCI_nOC");
-	gpio_direction_input(gpio + 1);
-
-	/* TWL4030_GPIO_MAX + 0 == ledA, EHCI nEN_USB_PWR (out, active low) */
-	gpio_request(gpio + TWL4030_GPIO_MAX, "nEN_USB_PWR");
-	gpio_direction_output(gpio + TWL4030_GPIO_MAX, 1);
-
-	/* TWL4030_GPIO_MAX + 1 == ledB, PMU_STAT (out, active low LED) */
-	gpio_leds[2].gpio = gpio + TWL4030_GPIO_MAX + 1;
-#endif
+        /* TODO: This needs to be modified to not rely on u-boot */
 	return 0;
 }
 
@@ -239,6 +229,7 @@
 };
 
 /* VPLL2 for digital video outputs */
+/*
 static struct regulator_init_data beagle_vpll2 = {
 	.constraints = {
 		.name			= "VDVI",
@@ -252,7 +243,7 @@
 	.num_consumer_supplies	= 1,
 	.consumer_supplies	= &beagle_vdvi_supply,
 };
-
+*/
 static const struct twl4030_resconfig beagle_resconfig[] = {
 	/* disable regulators that u-boot left enabled; the
 	 * devices' drivers should be managing these.
@@ -260,7 +251,7 @@
 	{ .resource = RES_VAUX3, },	/* not even connected! */
 	{ .resource = RES_VMMC1, },
 	{ .resource = RES_VSIM, },
-	{ .resource = RES_VPLL2, },
+//	{ .resource = RES_VPLL2, },
 	{ .resource = RES_VDAC, },
 	{ .resource = RES_VUSB_1V5, },
 	{ .resource = RES_VUSB_1V8, },
@@ -286,7 +277,7 @@
 	.vmmc1		= &beagle_vmmc1,
 	.vsim		= &beagle_vsim,
 	.vdac		= &beagle_vdac,
-	.vpll2		= &beagle_vpll2,
+//	.vpll2		= &beagle_vpll2,
 };
 
 static struct i2c_board_info __initdata beagle_i2c_boardinfo[] = {
diff -ubrN linux-omap-2.6/arch/arm/mach-omap2/usb-ehci.c built/linux-omap-2.6.29-Naomasa/arch/arm/mach-omap2/usb-ehci.c
--- linux-omap-2.6/arch/arm/mach-omap2/usb-ehci.c	2009-05-09 02:37:56.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/arch/arm/mach-omap2/usb-ehci.c	2009-05-07 17:50:16.000000000 +0900
@@ -147,16 +147,13 @@
 
 void __init usb_ehci_init(void)
 {
-#if 0 /* TODO: Setup Pin IO MUX for EHCI - moved this temporarily to U-boot */
-	/* Setup Pin IO MUX for EHCI */
-	if (cpu_is_omap34xx())
-		setup_ehci_io_mux();
-#endif
-
+#if     defined(CONFIG_USB_EHCI_HCD) || defined(CONFIG_USB_EHCI_HCD_MODULE)
+         /* TODO: Setup Pin IO MUX for EHCI - moved this temporarily to U-boot */
 	if (platform_device_register(&ehci_device) < 0) {
 		printk(KERN_ERR "Unable to register HS-USB (EHCI) device\n");
 		return;
 	}
+ #endif
 }
 
 
diff -ubrN linux-omap-2.6/drivers/dsp/bridge/services/clk.c built/linux-omap-2.6.29-Naomasa/drivers/dsp/bridge/services/clk.c
--- linux-omap-2.6/drivers/dsp/bridge/services/clk.c	2009-05-07 02:09:43.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/drivers/dsp/bridge/services/clk.c	2009-05-07 08:48:19.000000000 +0900
@@ -336,7 +336,7 @@
 	pClk = SERVICES_Clks[clk_id].clk_handle;
 
 	if (pClk) {
-		useCount =  clk_get_usecount(pClk);
+		useCount =  pClk->usecount;
 	} else {
 		GT_1trace(CLK_debugMask, GT_7CLASS,
 			  "CLK_GetRate: failed to get "
diff -ubrN linux-omap-2.6/drivers/dsp/bridge/wmd/io_sm.c built/linux-omap-2.6.29-Naomasa/drivers/dsp/bridge/wmd/io_sm.c
--- linux-omap-2.6/drivers/dsp/bridge/wmd/io_sm.c	2009-05-07 02:09:39.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/drivers/dsp/bridge/wmd/io_sm.c	2009-05-07 08:50:40.000000000 +0900
@@ -817,7 +817,7 @@
 			 (u8 *)hIOMgr->pMsgOutput);
 		DBG_Trace(DBG_LEVEL7, "** (proc) MAX MSGS IN SHARED MEMORY: "
 			 "0x%x\n", hMsgMgr->uMaxMsgs);
-		memzero((void *) hIOMgr->pSharedMem, sizeof(struct SHM));
+		__memzero((void *) hIOMgr->pSharedMem, sizeof(struct SHM));
 	}
 #ifndef DSP_TRACEBUF_DISABLED
 	if (DSP_SUCCEEDED(status)) {
diff -ubrN linux-omap-2.6/drivers/mfd/twl4030-core.c built/linux-omap-2.6.29-Naomasa/drivers/mfd/twl4030-core.c
--- linux-omap-2.6/drivers/mfd/twl4030-core.c	2009-05-07 01:44:03.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/drivers/mfd/twl4030-core.c	2009-05-07 22:25:29.000000000 +0900
@@ -613,10 +613,11 @@
 
 	/* maybe add LDOs that are omitted on cost-reduced parts */
 	if (twl_has_regulator() && !(features & TPS_SUBSET)) {
+/*
 		child = add_regulator(TWL4030_REG_VPLL2, pdata->vpll2);
 		if (IS_ERR(child))
 			return PTR_ERR(child);
-
+*/
 		child = add_regulator(TWL4030_REG_VMMC2, pdata->vmmc2);
 		if (IS_ERR(child))
 			return PTR_ERR(child);
diff -ubrN linux-omap-2.6/drivers/mfd/twl4030-power.c built/linux-omap-2.6.29-Naomasa/drivers/mfd/twl4030-power.c
--- linux-omap-2.6/drivers/mfd/twl4030-power.c	2009-05-07 01:44:03.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/drivers/mfd/twl4030-power.c	2009-05-07 22:59:42.000000000 +0900
@@ -81,7 +81,7 @@
 	[RES_VMMC1]	= 0x27,
 	[RES_VMMC2]	= 0x2b,
 	[RES_VPLL1]	= 0x2f,
-	[RES_VPLL2]	= 0x33,
+/*	[RES_VPLL2]	= 0x33,*/
 	[RES_VSIM]	= 0x37,
 	[RES_VDAC]	= 0x3b,
 	[RES_VINTANA1]	= 0x3f,
diff -ubrN linux-omap-2.6/drivers/regulator/twl4030-regulator.c built/linux-omap-2.6.29-Naomasa/drivers/regulator/twl4030-regulator.c
--- linux-omap-2.6/drivers/regulator/twl4030-regulator.c	2009-05-07 01:48:29.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/drivers/regulator/twl4030-regulator.c	2009-05-07 22:25:37.000000000 +0900
@@ -401,8 +401,8 @@
 	TWL_ADJUSTABLE_LDO(VMMC2, 0x2b, RES_VMMC2),
 	/*
 	TWL_ADJUSTABLE_LDO(VPLL1, 0x2f, RES_VPLL1),
-	*/
 	TWL_ADJUSTABLE_LDO(VPLL2, 0x33, RES_VPLL2),
+	*/
 	TWL_ADJUSTABLE_LDO(VSIM, 0x37, RES_VSIM),
 	TWL_ADJUSTABLE_LDO(VDAC, 0x3b, RES_VDAC),
 	/*
diff -ubrN linux-omap-2.6/drivers/usb/host/ehci-omap.c built/linux-omap-2.6.29-Naomasa/drivers/usb/host/ehci-omap.c
--- linux-omap-2.6/drivers/usb/host/ehci-omap.c	2009-05-09 02:37:56.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/drivers/usb/host/ehci-omap.c	2009-05-09 00:31:56.000000000 +0900
@@ -231,7 +231,6 @@
 		return PTR_ERR(ehci_clocks->usbhost1_48m_fck_clk);
 	clk_enable(ehci_clocks->usbhost1_48m_fck_clk);
 
-
 #ifdef EXTERNAL_PHY_RESET
 	/* Refer: ISSUE1 */
 #ifndef CONFIG_MACH_OMAP3_BEAGLE
@@ -258,9 +257,7 @@
                 (1 << EHCI_INSNREG05_ULPI_CONTROL_SHIFT) |/* Start */
                 (PHY_STP_PULLUP_DISABLE),
                 EHCI_INSNREG05_ULPI);
-
         while (!(omap_readl(EHCI_INSNREG05_ULPI) & (1<<EHCI_INSNREG05_ULPI_CONTROL_SHIFT)));
-
         /* Force PHY to HS */
         omap_writel((0x4 << EHCI_INSNREG05_ULPI_REGADD_SHIFT) |/* function ctrl */
                 (2 << EHCI_INSNREG05_ULPI_OPSEL_SHIFT) |/*   Write */
@@ -268,7 +265,6 @@
                 (1 << EHCI_INSNREG05_ULPI_CONTROL_SHIFT) |/* Start */
                 (0x40),
                 EHCI_INSNREG05_ULPI);
-
         while (!(omap_readl(EHCI_INSNREG05_ULPI) & (1<<EHCI_INSNREG05_ULPI_CONTROL_SHIFT)));
 
 	/* Configure TLL for 60Mhz clk for ULPI */
diff -ubrN linux-omap-2.6/include/linux/i2c/twl4030.h built/linux-omap-2.6.29-Naomasa/include/linux/i2c/twl4030.h
--- linux-omap-2.6/include/linux/i2c/twl4030.h	2009-05-07 01:44:22.000000000 +0900
+++ built/linux-omap-2.6.29-Naomasa/include/linux/i2c/twl4030.h	2009-05-07 23:00:21.000000000 +0900
@@ -252,7 +252,7 @@
 #define RES_VMMC1               5
 #define RES_VMMC2               6
 #define RES_VPLL1               7
-#define RES_VPLL2               8
+/*#define RES_VPLL2               8*/
 #define RES_VSIM                9
 #define RES_VDAC                10
 #define RES_VINTANA1            11
